Invite Affiliate
curl --request POST \
--url https://api.sellauth.com/v1/shops/{shopId}/affiliates/invite \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "partner@example.com",
"affiliate_code": "PARTNER10",
"tier_id": 1,
"send_email": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/affiliates/invite"
payload = {
"email": "partner@example.com",
"affiliate_code": "PARTNER10",
"tier_id": 1,
"send_email": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'partner@example.com',
affiliate_code: 'PARTNER10',
tier_id: 1,
send_email: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/affiliates/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Affiliates
Invite Affiliate
Creates (or reuses) a customer by email and assigns them an affiliate code, making them an affiliate.
POST
/
v1
/
shops
/
{shopId}
/
affiliates
/
invite
Invite Affiliate
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Body
application/json
The affiliate's email.
Example:
"partner@example.com"
The code to assign.
Example:
"PARTNER10"
The tier to place them in. Required.
Example:
1
Whether to email the affiliate their code and referral link. Defaults to true.
Example:
null
Response
200 - undefined